List of all members
clan::SoundProviderType Class Referenceabstract
clanSound Sound Providers

Sound provider type. More...

`#include <soundprovider_type.h>`

Inheritance diagram for clan::SoundProviderType:

## Public Member Functions
Construction
| SoundProviderType (const std::string &type)
| Registers a sound provider type in the SoundProviderFactory. More...
virtual | ~SoundProviderType ()
| Unregisters a sound provider type in the SoundProviderFactory. More...
Operations
virtual SoundProvider * | load (const std::string &filename, bool streamed, const FileSystem &file_system)=0
| Called to load with this sound provider type. More...
virtual SoundProvider * | load (IODevice &file, bool streamed)=0

## Detailed Description

Sound provider type.

The documentation for this class was generated from the following file:

- soundprovider_type.h